Subject: Re: [Roll] Last Call: <draft-ietf-roll-trickle-05.txt> (The Trickle Algorithm) to Proposed Standard

From: "Colin O'Flynn" <[email-masked]>
Date: Wed, 1 Dec 2010 09:01:45 -0400

Hi Phil,

I agree with you that simply saying "variable" doesn't give a good point of 
resource usage. However trickle itself doesn't define anything about the 
variable sizes either.

Hence the number of bytes used will really depend on both the network 
requirements (time accuracy & interval length) along with your implementation. 
So I think Ulrich's concern was mainly that the introduction uses a fixed 
number of bytes for resource requirements without specifying the constraints 
they are valid for (correct me if I'm wrong Ulrich).

To me both ways would make sense, and it's a simple matter either way for 
someone to read down to section 4.1 where they understand the exact storage 
requirements anyway. It's good to keep the intro simple to highlight the 
features, so if the text as written seems more concise that works for me!

Warm Regards,

  -Colin

On Tuesday, November 30, 2010 03:09:54 pm Philip Levis wrote:
> On Nov 23, 2010, at 2:27 AM, Ulrich Herberg wrote:
> > Colin,
> > 
> > On Tue, Nov 23, 2010 at 11:16 AM, Colin O'Flynn <[email-masked]> wrote:
> >>> - introduction: "current implementations use 4-11 bytes...". I wonder
> >>> whether that is wise to put into the draft, since it once it will be
> >>> published, "current" implementations may need more or less (at that
> >>> future time)
> >> 
> >> I think it is reasonable to keep such a statement. It could be
> >> simplified to just explain what those bytes are, but I think the point
> >> is if you pick up the draft you know right away what sort of resource
> >> requirements the draft carries.
> >> 
> >> So something saying "Trickle requires at minimum three variables". The
> >> size of the variables would depend on your network & processor
> >> architecture. Such a statement would remain valid even when we move to
> >> 128-bit processors & a single variable is typically 16 bytes ;-)
> > 
> > Yes, I can agree to that.
> 
> Hm -- let me explain the reasoning for why the text says "4-11 bytes"
> rather than "x variables." Basically, bytes is more precise. Even if an
> architecture has 16-byte words (I guess by "typical variable" you mean "C
> int type"), there are still one-byte and two-byte variables. If you care
> about data size, you can use these smaller types, and that's what leads to
> having 4-11 bytes.
> 
> Saying "three variables" could mean "3 large arrays" or "3 bytes." It
> doesn't provide a lot of insight. I could implement Trickle with a single
> long long, where I pack things like c, t, and the current interval size
> into those 8 bytes. "Variables" isn't really a statement of the resource
> requirements, while the number of bytes can be.
> 
> Does that make sense?
> 
> Phil

---

From: Ulrich Herberg <[email-masked]>
Date: Wed, 1 Dec 2010 14:21:58 +0100

Colin, Phil,

> they are valid for (correct me if I'm wrong Ulrich).

Yes, indeed.

Regards
Ulrich

---

From: JP Vasseur <[email-masked]>
Date: Mon, 6 Dec 2010 17:40:09 +0100

Dear Co-authors,

Since the IETF Last Call has ended, would you mind updating the document according to
the comments received on the mailing list and post the new revision ?

Thanks.

JP.

On Nov 22, 2010, at 5:35 PM, The IESG wrote:

> 
> The IESG has received a request from the Routing Over Low power and Lossy
> networks WG (roll) to consider the following document:
> - 'The Trickle Algorithm'
>  <draft-ietf-roll-trickle-05.txt> as a Proposed Standard
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2010-12-06. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-roll-trickle/
> 
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-roll-trickle/
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce

---

From: Philip Levis <[email-masked]>
Date: Mon, 6 Dec 2010 09:55:33 -0800

> the comments received on the mailing list and post the new revision ?

Done.

Phil

---

From: JP Vasseur <[email-masked]>
Date: Tue, 7 Dec 2010 08:32:52 +0100

Thanks Phil ... but I do not see the rev 06 ?

Thanks.

JP.